project:
  type: website
  pre-render: scripts/prepare.py
  post-render: scripts/md2ical.py
  output-dir: public

website:
  title: "Generic Software Skills"
  navbar:
    left:
      - href: index.qmd
        text: Home
      - summary.qmd
      - module_description.qmd
    tools:
      - icon: gitlab
        menu:
          - text: Repository
            href: https://gitlab.dkrz.de/generic-software-skills/lecture-materials
          - text: Open Issue
            href: https://gitlab.dkrz.de/generic-software-skills/lecture-materials/-/issues/new
  sidebar:
    search: true
    contents:
      - section: "Lectures"
        contents:
          # - "lectures/example-lecture/slides.qmd"
          - "lectures/intro/slides.qmd"
          - "lectures/command-line/slides.qmd"
          - "lectures/git/slides.qmd"
          # - "lectures/programming-paradigms/slides.qmd"
          # - "lectures/data-structures/slides.qmd"
          # - "lectures/complexity/slides.qmd"
          # - "lectures/debugging/slides.qmd"
          # - "lectures/good-scientific-practice/slides.qmd"
          # - "lectures/user-experience/slides.qmd"
          # - "lectures/testing/slides.qmd"
          # - "lectures/git2/slides.qmd"
          # - "lectures/parallelism/slides.qmd"
          # - "lectures/hardware/slides.qmd"
          # - "lectures/file-and-data-systems/slides.qmd"
          # - "lectures/memory-hierarchies/slides.qmd"
          # - "lectures/student-talks/slides.qmd"
      - section: "Exercises"
        contents:
          - "exercises/git.qmd"
          # - "exercises/programming_paradigms.qmd"
          # - "exercises/data_structures.qmd"
          # - "exercises/complexity.qmd"
          # - "exercises/debugging.qmd"
          # - "exercises/good_scientific_practice.qmd"
          # - "exercises/user_experience.qmd"
          # - "exercises/testing.qmd"
          # - "exercises/git2.qmd"
          # - "exercises/parallelism.qmd"
          # - "exercises/hardware.qmd"
          # - "exercises/file_and_data_systems.qmd"
          # - "exercises/memory_hierarchies.qmd"
          # - "exercises/student_talks.qmd"

format:
  html:
    theme: cosmo
    css: styles.css
    toc: true
    license: "CC BY"
